| OpenZWave Library 1.6.0

Public Member Functions | List of all members
OpenZWave::HttpClient Class Reference

`#include <Http.h>`

Inheritance diagram for OpenZWave::HttpClient:

## Public Member Functions
| HttpClient (Driver *)
| ~HttpClient ()
bool | StartDownload (HttpDownload *transfer)
Public Member Functions inherited from OpenZWave::i_HttpClient
| i_HttpClient (Driver *)
virtual | ~i_HttpClient ()
void | FinishDownload (HttpDownload *transfer)

## Constructor & Destructor Documentation

## ◆ HttpClient()

HttpClient::HttpClient | ( | OpenZWave::Driver * | drv | ) |

## ◆ ~HttpClient()

HttpClient::~HttpClient | ( |  | ) |

## Member Function Documentation

## ◆ StartDownload()

bool HttpClient::StartDownload | ( | HttpDownload * | transfer | ) |
| virtual

Implements OpenZWave::i_HttpClient.

The documentation for this class was generated from the following files:

- Http.h
- Http.cpp